﻿/**
 * Hangáróra
 */
{
  "clock": {
    // Engedélyezve/tiltva
    "enabled": true,
    // Vízszintes pozíció
    "x": -10,
    // függőleges pozíció
    "y": 28,
    // Szélesség
    "width": 300,
    // Magasság
    "height": 60,
    // true - minden ablak fölé helyezve (mindig látható), false - minden ablak alá helyezve (csak akkor látható ha nem húzunk fölé semmilyen ablakot {Csata eredmény, chat, szakasz, stb} )
    "topmost": true,
    // A mező vízszintes igazítása a képernyőn ("left", "center", "right").
    "align": "right",
    // Amező függőleges igazítása a képernyőm ("top", "center", "bottom").
    "valign": "top",
    // A szöveg vízszintes igazítása a mezőben ("left", "center", "right").
    "textAlign": "right",
    // A szöveg függőleges igazítása a mezőben ("top", "center", "bottom").
    "textVAlign": "center",
    // Áttetszőség [0..100].
    "alpha": 100,
    // Forgatás [0..360].
    "rotation": 0,
    // Ha értéket kap, keretet rajzol azzal színnel ("0xXXXXXX").
    "borderColor": null,
    // Ha értéket kap, kitölti a hátteret azzal színnel ("0xXXXXXX").
    "bgColor": null,
    // Ha értéket kap, berakja a képet háttérnek
    // példa: "bgImage": "xvm://configs/My/img/my.png",
    "bgImage": null,
    // Élsimítás ("advanced" or "normal").
    "antiAliasType": "advanced",
    // Elérhető makrók (kis-nagybetű érzékeny!):
    //
    // {{Y}}             - Teljes évszám, 4 karakter
    // {{MMM}}           - Teljes hónapnév (Január)
    // {{MM}}            - Rövid hónapnév (Jan)
    // {{M}}             - Hónap (1-12)
    // {{D}}             - Nap (1-31)
    // {{WW}}            - Teljes napnév (Hétfő)
    // {{W}}             - Rövid napnév (Hét)
    // {{h}}             - Óra                    
    // {{m}}             - Perc                  
    // {{s}}             - Másodperc                  
    // {{H}}             - 12 órás óra formátum  
    // {{AM}}, {{PM}}    - de, du                   
    // Makró vormázás engedélyezett, például: {{AM?a.m.|p.m.}} 
    //
    // Óra kinézete
    "format": "<textformat tabstops='[80]' leading='-39'><font face='$FieldFont'><font size='15'>{{D%02d}} {{MM}} {{Y}}<tab><font size='36'>{{h%02d}}:{{m%02d}}</font>\n<textformat rightMargin='87'>{{WW}}</font></textformat></textformat>",
    // Árnyékolás
    "shadow": {
      // false - nincs árnyék
      "enabled": true,
      "distance": 0,             // pixelben
      "angle": 0,                // (0.0 .. 360.0)
      "color": "0x000000",       // "0xXXXXXX" formában
      "alpha": 70,               // (0 .. 100)   
      "blur": 4,                 // (0.0 .. 255.0)
      "strength": 2              // (0.0 .. 255.0)
    }
  }
}