﻿/**
 * A garázs beállításai
 */
{
  "hangar": {
    // XWN8-at mutat XEFF helyett a század ablakban
    "xwnInCompany": true,
    // true - Mester jelvény mutatása a fejlesztési fában
    "masteryMarkInTechTree": true,
    // true - Tankok árának az elrejtése a fejlesztési fában 
    "hidePricesInTechTree": false,
    // true - Widgetek engedélyezése
    "widgetsEnabled": false,
    // A szerverek ping-je
    "pingServers": {
      // true - Megjeleníti a ping indőket
      "enabled": false,
      // Frissítési idő ezred másodpercben
      "updateInterval": 10000,
      // Elhelyezkedés koordinátái bal felső sarokhoz viszonyítva
      "x": 3,
      "y": 51,
      // Áttetszőség
      "alpha": 80,
      // Szervernév, ping idő elválasztó jel.
      "delimiter": ": ",
      // Maximális sorszám
      "maxRows": 2,
      // oszlopok távolsága
      "columnGap": 3,
      // Sorköz
      "leading": 0,
      // true - Az összes ablak fölé helyezi (mindig látható), false - Alulra helyezi (csak akkor látható ha nem húzunk fölé más ablakot)
      "topmost": true,
      // Szöveg beállítások
      "fontStyle": {
        // Betütípus
        "name": "$FieldFont",
        "size": 12,         // Méret
        "bold": false,      // Félkövér?
        "italic": false,    // Dőlt?
        // Az elérési idő függvényében változik a szín
         "color": {
          "great": "0xFFCC66", // tökéletes
          "good": "0xE5E4E1",  // jó
          "poor": "0x96948F",  // gyenge
          "bad": "0xD64D4D"    // rossz
        }
      },
      // Tűréshatárok a válaszidőkre
      "threshold": {
        // Ennyi ezred másodperces pingnél tökéletes a kapcsolat
        "great": 35,
        // Ez alatt jó
        "good": 60,
        // Ez alatt gyenge
        "poor": 100
        // A fentinél nagyobb értékekre rossz minősítést kap a kapcsolat
      },
      // Szöveg árnyékolás
      "shadow": {
        "enabled": true,
        "color": "0x000000",
        "distance": 0,
        "angle": 0,
        "alpha": 70,
        "blur": 4,
        "strength": 2
      }
    },
    // A tanklista beállításai a carousel.xc-ben
    "carousel": ${"carousel.xc":"carousel"},
    // Hangár óra beállításai a clock.xc-ben
    "clock": ${"clock.xc":"clock"}
  }
}