﻿/**
 * Kiosztott sebzés számláló (és maradék életerő)
 */
{
  "hitLog": {
    // Engedélyezve/tiltva
    "visible": true,

    // Alt nyomásra mutatja az ellenség maradék életerejét.
    // Az elpusztított ellenfelek valamint a maradék életerők csak akkor lesznek frissítve, ha az ellenfél jelzője látható lesz. (Az ellenfél drawbox-ba kerül)
    // Az ellenfelek csak a te tankod körüli 1000 méter élhosszúságú négyzetben láthatók. (1000 méter élhosszú négyzet közepén van a tankod, ez a drawbox, ez veled mozog)
    // Ez az 1000 méteres négyzet a játék motorjának a korlátja. Ez a megjelenítási távolság.
    // Az ellenfelek adatai nem frissülnek, míg nem látod a jelzőjét vagy a roncsot.

    "hpLeft": {
        // Engedélyezve/tiltva
        "enabled": true,
        // Fejléc - csak lokalizációs makrók engedélyezettek (lásd: macros.txt)
        "header": "<font color='#FFFFFF'>{{l10n:hpLeftTitle}}</font>",
        // A HP lista sora (makrók engedélyezettek, lásd: macros.txt).
        "format": "<textformat leading='-4' tabstops='[50,90,190]'><font color='{{c:hp-ratio}}'>     {{hp}}</font><tab><font color='#FFFFFF'>/ </font>{{hp-max}}<tab><font color='#FFFFFF'>|</font><font color='{{c:vtype}}'>{{vehicle}}</font><tab><font color='#FFFFFF'>|{{nick}}</font></textformat>"
    },

    // X pozíció (Ha negatív értéket írunk, azt a képernyő jobb oldalától számolja).
    "x": 270,
    // Y pozíció (Ha negatív értéket írunk, azt a képernyő aljától számolja).
    "y": 40,
    // Szélesség
    "w": 500,
    // Magasság
    "h": 1000,
    // Látható lövések száma, a régebbi sorok kitolódnak/eltűnnek
    "lines": 0,
    // A lista iránya, merre tolódnak a régebbi sebzések (up - fentről nő lefelé, down - lentről nő felfelé)
    "direction": "down",
    // Lövések csoportosítása (egy játékos, egy sor)
    "groupHitsByPlayer": true,
    // bekerülési hely: (begin - új érték előre, end - új érték a végére)
    "insertOrder": "end",
    // Felirat a {{dead}} makróra, ha a tank elpusztult
    "deadMarker": "<img src='xvm://res/icons/dead.png' width='12' height='12'>",  // Halott
    "blowupMarker": "<img src='xvm://res/icons/blowedup.png' width='12' height='12'>",  // Felrobbant
    // Alapértelmezett fejléc (az első találat előtt). Csak lokalizációs makrók engedélyezettek (lásd: macros.txt)
    "defaultHeader":  "<font color='#FFFFFF'>{{l10n:Hits}}:</font> <font size='13'>#0</font>",
    // Fejléc az első találat után, ez mutatja az aktuális utolsó sebzést is (makrók engedélyezettek, lásd: macros.txt).
    "formatHeader":  "<font color='#FFFFFF'>{{l10n:Hits}}:</font> <font size='13'>#{{n}}</font> <font color='#FFFFFF'>{{l10n:Total}}: </font><b>{{dmg-total}}</b>  <font color='#FFFFFF'>{{l10n:Last}}:</font> <font color='{{c:dmg-kind}}'><b>{{dmg}}</b> {{dead}}</font>",
    // Találatok listája (makrók engedélyezettek, lásd: macros.txt).
    "formatHistory": "<textformat leading='-4' tabstops='[20,50,90,190]'><font size='12'>\u00D7{{n-player}}:</font><tab><font color='{{c:dmg-kind}}'>{{dmg}}</font><tab>| {{dmg-player}}<tab>|<font color='{{c:vtype}}'>{{vehicle}} {{dead}}</font><tab><font color='#FFFFFF'>|{{nick}}</font></textformat>",
    // Árnyékolás
    "shadow": {
      // Áttetszőség
      "alpha": 100,
      // Szín
      "color": "0x000000",
      // Offset szög
      "angle": 45,
      // Offset távolság
      "distance": 0,
      // Méret
      "size": 5,
      // Erősség
      "strength": 150
    }
  }
}