﻿/**
 * Jelzések elpusztult járműveknek, Alt-nélkül
 */
{
  // A tankok felett megjelenő úszó sebzések
  "damageText": {
    // Engedélyzve/tiltva
    "visible": true,
    // Koordináták
    "x": 0,
    "y": -67,
    // Áttetszőség (dinamikus áttetszőség használható, lásd macros.txt).
    "alpha": 100,
    // Szín (dinamikus szín használható, lásd macros.txt).
    "color": null,
    "font": {
      "name": "$FieldFont",           // Betűtípus
      "size": 18,                     // Méret
      "align": "center",              // Szöveg rendezése (left, center, right)
      "bold": false,                  // Félkövér
      "italic": false                 // Dőlt
    },
    "shadow": {
      "alpha": 100,                   // Áttetszőség
      "color": "0x000000",            // Szín
      "angle": 45,                    // Eltolódás szöge
      "distance": 0,                  // Eltolódás mértéke
      "size": 6,                      // Méret
      "strength": 200                 // Erősség
    },
    // A sebzés érték emelkedési sebessége
    "speed": 2,
    // Maximális távolság, ahol még látszik a sebzés (???)
    "maxRange": 40,
    // Normál sebzés megjelenítése (további infók a macros.txt-ben).
    "damageMessage": "{{dmg}}",
    // Lőszerrekesz robbanás jelzése (további infók a macros.txt-ben).
    "blowupMessage": "{{l10n:blownUp}}\n{{dmg}}"
  },
  // Saját csapat jelzői
  "ally": {
    // Jármű típus ikonja (HT/MT/LT/TD/Arty).
    "vehicleIcon": {
      // Engedélyzve/tiltva
      "visible": true,
      // Mutassa-e a hangszóró ikont akkor is, ha a jármű típus ikon rejtve van
      "showSpeaker": false,
      // Koordináták
      "x": 0,
      "y": -16,
      // Áttetszőség
      "alpha": 100,
      // Szín (jelenleg nem használt).
      "color": null,
      // Maximális méret (Alapértelmezett 100).
      "maxScale": 100,
      // Eltolás vízszintes irányban
      "scaleX": 0,
      // Eltolás függőleges irányban
      "scaleY": 16,
      // Árnyékolás
      "shadow": {
        "alpha": 100,                   // Áttetszőség
        "color": "0x000000",            // Szín
        "angle": 45,                    // Eltolódás szöge
        "distance": 0,                  // Eltolódás mértéke
        "size": 6,                      // Méret
        "strength": 200                 // Erősség
      }
    },
    // HP csík
    "healthBar": {
      "visible": false,                 //   Látható-e?
      "x": -41,                         //   Vízszintes elhelyezkedés (a 0 pont pontosan a tankod felett van, azért van eltolva, mert a HP csík elejét illeszti, nem a közepét)
      "y": -33,                         //   Függőleges elhelyezkedés
      "alpha": 100,                     //   Áttetszőség (makrók engedélyezettek, lásd macros.txt)
      "color": null,                    //   Szín (makrók engedélyezettek, lásd macros.txt)
      "lcolor": null,                   //   Opcionális színátmenet (???)
      "width": 80,                      //   Szélesség
      "height": 12,                     //   Magasság
      // Keret
      "border": {
        "alpha": 30,                    //     Áttetszőség
        "color": "0x000000",            //     Szín
        "size": 1                       //     Méret (vastagság)
      },
      // Kitöltés
      "fill": {
        "alpha": 30                     //     Áttetszőség
      },
      // Sebzés
      "damage": {
        "alpha": 80,                    //     Áttetszőség
        "color": null,                  //     Szín
        "fade": 1                       //     Eltűnési idő másodpercben (mármint az aktuálisan lelőtt HP csík darab eltűnése)
      }
    },
    // Az úszó sebzés értékek (saját csapat, saját magunk és a szakasztárs)
    "damageText": {
      "$ref": { "path":"damageText" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"damageText" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"damageText" }
    },
    // Tank ikon
    "contourIcon": {
      // Engedélyzve/tiltva
      "visible": false,
      // Koordináták
      "x": 6,
      "y": -65,
      // Áttetszőség (dinamikus áttetszőség engedélyezett, lásd: macros.txt).
      "alpha": 100,
      // Szín (dinamikus szín engedélyezett, lásd: macros.txt).
      "color": null,
      // Szín erősség 0 - 100. Alapértelmezett 0 (kikapcsolva).
      "amount": 0
    },
    // Játékos vagy klán ikon
    "clanIcon": {
      "visible": false,  // Látható-e?
      "x": 0,            // Vízszintes elhelyezkedés
      "y": -67,          // Függőleges elhelyezkedés
      "w": 16,           // Szélesség
      "h": 16,           // Magasság
      "alpha": 100       // Áttetszőség (makrók engedélyezettek, lásd macros.txt)
    },
    // Tank szint
    "levelIcon": {
      "visible": false,  // Látható-e?
      "x": 0,            // Vízszintes elhelyezkedés
      "y": -21,          // Függőleges elhelyezkedés
      "alpha": 100       // Áttetszőség
    },
    // Jelzések pl.: "SOS!" valamint "Támadás!" és "Kövess!" meg a társaik.
    "actionMarker": {
      "visible": true,   // Látható-e?
      "x": 0,            // Vízszintes elhelyezkedés
      "y": -67,          // Függőleges elhelyezkedés
      "alpha": 100       // Áttetszőség
    },
    // Szöveges részek
    // Ez itt most üres. A markersAliveNormal.xc azonos része alapján rakhatod ide is a blokkokat :)  
    "textFields": []
  },
  // Ellenfél jelzői
  "enemy": {
    // Jármű típus ikonja (HT/MT/LT/TD/Arty).
    "vehicleIcon": {
      "visible": true,
      "showSpeaker": false,
      "x": 0,
      "y": -16,
      "alpha": 100,
      "color": null,
      "maxScale": 100,
      "scaleX": 0,
      "scaleY": 16,
      "shadow": {
        "alpha": 100,
        "color": "0x000000",
        "angle": 45,
        "distance": 0,
        "size": 6,
        "strength": 200
      }
    },
    // HP csík
    "healthBar": {
      "visible": false,
      "x": -41,
      "y": -33,
      "alpha": 100,
      "color": null,
      "lcolor": null,
      "width": 80,
      "height": 12,
      "border": {
        "alpha": 30,
        "color": "0x000000",
        "size": 1
      },
      "fill": {
        "alpha": 30
      },
      "damage": {
        "alpha": 80,
        "color": null,
        "fade": 1
      }
    },
    // Az úszó sebzés értékek (saját csapat, saját magunk és a szakasztárs)
    "damageText": {
      "$ref": { "path":"damageText" }
    },
    "damageTextPlayer": {
      "$ref": { "path":"damageText" }
    },
    "damageTextSquadman": {
      "$ref": { "path":"damageText" }
    },
    // Tank ikon
    "contourIcon": {
      "visible": false,
      "x": 6,
      "y": -65,
      "alpha": 100,
      "color": null,
      "amount": 0
    },
    // Játékos vagy klánikon
    "clanIcon": {
      "visible": false,
      "x": 0,
      "y": -67,
      "w": 16,
      "h": 16,
      "alpha": 100
    },
    // Tank szint
    "levelIcon": {
      "visible": false,
      "x": 0,
      "y": -21,
      "alpha": 100
    },
    // Jelzések pl.: "SOS!" valamint "Támadás!" és "Kövess!" meg a társaik.
    "actionMarker": {
      "visible": true,
      "x": 0,
      "y": -67,
      "alpha": 100
    },
    // Szöveges részek
    // Ez itt most üres. A markersAliveNormal.xc azonos része alapján rakhatod ide is a blokkokat :)
    "textFields": []
  }
}