﻿/**
 * Fő konfigurációs file.
 */
{
  // A config verziószáma, ne töröld és ne írd át ha nem muszáj.
  "configVersion": "5.1.0",

  // Automatikusan újratölti a konfigot. Ha bekapcsolod teljesítményt csökkenthet! 
  "autoReloadConfig": false,

  // A mod által használt nyelv,
  // "auto" - automatikusan kiolvassa a kliensből,
  // beállíthatod a  res_mods/xvm/l10n/ mappa alapján (pl: "hu")
  "language": "auto",

  // A játék régiója,
  // "auto" - automatikusan kiolvassa a kliensből,
  // vagy választhatsz a következőkből: "RU", "EU", "NA", "SG", "VTC", "KR"
  "region": "auto",

  // Általános beállítások, sehol sem használja őket a mod
  "definition": {
    // A config szerzője
    "author": "XVM team",

    // A config leírása
    "description": "Default settings for XVM",

    // Link a konfig frissitéseihez
    "url": "http://www.modxvm.com/",

    // Utolsó módosítás
    "date": "25.12.2014",

    // Szükséges játék verzió
    "gameVersion": "0.9.5",

    // minimálisan szükséges XVM verzió
    "modMinVersion": "5.5.1.1"
  },

  // A belépő oldal beállításai
  "login": ${"login.xc":"login"},

  // A garázs beállításai
  "hangar": ${"hangar.xc":"hangar"},

  // A Szolgálati fejlegyzés menüpont beállításai
  "userInfo": ${"userInfo.xc":"userInfo"},

  // A csatával kapcsolatos beállitások
  "battle": ${"battle.xc":"battle"},

  // Frag számláló (csatában legfelül)
  "fragCorrelation": ${"battle.xc":"fragCorrelation"},

  // ??? Ingame crits panel by "expert" skill. ???
  "expertPanel": ${"battle.xc":"expertPanel"},

  // speciális XVM gombok
  "hotkeys": ${"hotkeys.xc":"hotkeys"},

  // Csapat ablak beállításai
  "squad": ${"squad.xc":"squad"},

  // Csata betoltő oldal beállításai
  "battleLoading": ${"battleLoading.xc":"battleLoading"},

  // Csatában a Tab-os képernyő beállításai
  "statisticForm": ${"statisticForm.xc":"statisticForm"},

  // Csapatlisták beállításai ("fülek")
  "playersPanel": ${"playersPanel.xc":"playersPanel"},

  // Csata végén megjelenő ablak beállításai
  "battleResults": ${"battleResults.xc":"battleResults"},

  // Kiosztott sebzés számláló beállításai
  "hitLog": ${"hitLog.xc":"hitLog"},

  // Foglalási csík beállításai
  "captureBar": ${"captureBar.xc":"captureBar"},

  // Minimap
  "minimap": ${"minimap.xc":"minimap"},

  // Alternatív minimap
  "minimapAlt": ${"minimapAlt.xc":"minimap"},

  // Tankok feletti jelzések beállításai
  "markers": ${"markers.xc":"markers"},

  // Szín beállítások
  "colors": ${"colors.xc":"colors"},

  // Áttetszőségek beállításai
  "alpha": ${"alpha.xc":"alpha"},

  // Szöveg definíciók
  "texts": ${"texts.xc":"texts"},

  // Ikoncsomnagok helyének beállítása
  "iconset": ${"iconset.xc":"iconset"},

  // Jármű nevek beállítása
  "vehicleNames": ${"vehicleNames.xc":"vehicleNames"}
}