﻿/**
 * Foglalási csík
 */
{
  "captureBar": {
    // Engedélyezve/tiltva
    "enabled": true,
    // Saját és ellenfél foglalási csík színe (alapértelmezett: null - az eredeti színeket használja)
    "allyColor": null,
    "enemyColor": null,
    // A csík feletti szöveg eltolása, nagy méretű szöveg esetén (Ha rálógna a csíkra)
    "primaryTitleOffset": 7,
    // Ha háromnál több foglaló van, "+" jelet tesz a foglalók száma után. Csak 3-ig tudja számolni, hányak vannak. (A 4. foglalótól már nem lesz gyorsabb a foglalás)
    "appendPlus" : true,
    // Feliratok (makrók engedélyezettek, lásd: macros.txt).
    "enemy": { // Saját csapat foglal
      // A csík feletti felirat
      "primaryTitleFormat":   "<font size='15' color='#FFFFFF'>{{l10n:enemyBaseCapture}} {{extra}}</font>",
      // A csík alatti felirat
      "secondaryTitleFormat": "<font size='15' color='#FFFFFF'>{{points}}</font>",
      // Elfoglaláskor látszó felirat
      "captureDoneFormat":    "<font size='17' color='#FFCC66'>{{l10n:enemyBaseCaptured}}</font>",
      // Plusz információ (Foglalók száma, mennyi idő van vissza)
      "extra": "{{l10n:Capturers}}: <b><font color='#FFCC66'>{{tanks}}</font></b> {{l10n:Timeleft}}: <b><font color='#FFCC66'>{{time}}</font><b>",
      // Árnyékolás
      "shadow": {
        // Szín
        "color": "0x000000",
        // Áttetszőség 0-100.
        "alpha": 50,
        // Elmosódás 0-255; Ajánlott érték 6.
        "blur": 6,
        // Erősség 0-255; Ajánlott érték  3.
        "strength": 3
      }
    },
    "ally": { // Az ellenfél foglal 
      "primaryTitleFormat":   "<font size='15' color='#FFFFFF'>{{l10n:allyBaseCapture}} {{extra}}</font>",
      "secondaryTitleFormat": "<font size='15' color='#FFFFFF'>{{points}}</font>",
      "captureDoneFormat":    "<font size='17' color='#FFCC66'>{{l10n:allyBaseCaptured}}</font>",
      "extra": "{{l10n:Capturers}}: <b><font color='#FFCC66'>{{tanks}}</font></b> {{l10n:Timeleft}}: <b><font color='#FFCC66'>{{time}}</font><b>",
      "shadow": {
        "color": "0x000000",
        "alpha": 50,
        "blur": 6,
        "strength": 3
      }
    }
  }
}