﻿/**
 * Tanklista
 */
{
  "carousel": {
    // Engedélyezve/tiltva
    "enabled": true,
    // A tankok mérete
    "zoom": 1,
    // Hány sor tank legyen
    "rows": 1,
    // Helyköz a tankok között
    "padding": {
        "horizontal": 10,   // vízszintesen
        "vertical": 2       // függőlegesen
    },
    // Mindig látszanak a szűrők (akkor is ha az össezs tank látszik a listában)
    "alwaysShowFilters": false,
    // A "Tank vásárlása" cella eltüntetése
    "hideBuyTank": false,
    // A "Garázshely vásárlása" cella eltüntetése 
    "hideBuySlot": false,
    // Szűrők
    "filters": {
      // false - nem látszik a feltétel
      "nation":   { "enabled": true },  // Nemzet
      "type":     { "enabled": true },  // Jármű osztálya
      "level":    { "enabled": true },  // Jármű szintje
      "favorite": { "enabled": true },  // Elsődleges tank
      "prefs":    { "enabled": true }   // Egyéb szűrők
    },
    // Alap cella elemek
    "fields": {
      // "visible"  - látható-e
      // "dx"       - vízszintes eltolás (???)
      // "dy"       - függőleges eltolás (???)
      // "alpha"    - áttetszőség
      // "scale"    - méret
      //
      // Jármű osztály ikonja
      "tankType": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Jármű szintje
      "level":    { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // XP szorzó (??? multi XP)
      "multiXp":  { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // (???)
      "xp":       { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Jármű neve
      "tankName": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 }
    },
    // Extra cella elemek (lásd: playersPanel.xc).
    "extraFields": [
      // Kiválósági jel
      { "x": -1, "y": 10, "format": "<img src='img://gui/maps/icons/library/proficiency/class_icons_{{v.mastery}}.png' width='23' height='23'>" }
    ]
  }
}