﻿/**
 * GUI beállítások (haladóknak)
 * http://www.koreanrandom.com/forum/topic/1761-
 */
{
    // A minimap koordináták megjelenése
    "minimapFont": {
        "color": "0x8A855C",    // Szín
        "alpha": 100            // Áttetszőség
    },
    // A felület elemei
    "elements": [
        // "_x"     - vízszintes pozíció
        // "_y"     - Függőleges pozíció
        // "_alpha" - Áttetszőség

        // Használhatsz állandókat, relatív hivatkozásokat(?) és matematikai kifejezéseket:
        // "_x": 100,
        // "_y": "HEIGHT / 2 + sin(minimap._alpha)",

        // Csapat lista
        {
            "$delay": 100,
            // Bal panel
            "leftPanel": {
                "_y": null
            },
            // Jobb panel
            "rightPanel": {
                "_y": null
            },
            // Méret váltó gombok
            "switcher_mc": {
                "_y": "leftPanel._y - 28"
            }
        },
        // Hatodik érzék lámpa
        {
            "$delay": 100,
            // Meddig égjen a hatodik érzék lámpa, ezredmásodpercben, példa: "sixthSenseDuration": 7000,
            "sixthSenseDuration": "sixthSenseDuration",
            // Hatodik érzék lámpa
            "sixthSenseIndicator": {
                // Pár beállítás használatához el kell távolítanod a "//"  jelet az "$interval" elől! Teljesítmény csökkenést okozhat!!!
                // "$interval": 0,
                "_alpha": 100,
                "_x": "sixthSenseIndicator._x",
                "_y": "sixthSenseIndicator._y"
            }
        },
        // Battle timer
        {
            "$delay": 100,
            // Battle timer
            "battleTimer": {
                "_x": "battleTimer._x - 0",
                "_y": "battleTimer._y - 0"
            }
        },
        // Minimap
        {
            "$delay": 100,
            // Minimap
            "minimap": {
                "_alpha": "minimap._alpha",
                // Függőleges koordináták
                "rowA": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowB": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowC": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowD": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowE": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowF": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowG": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowH": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowJ": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                "rowK": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} },
                // Vízszintes koordináták 
                "colsNames": { "textColor": ${"minimapFont.color"}, "_alpha": ${"minimapFont.alpha"} }
            }
        },
        // Debug panel (ping/lag/fps)
        {
            "$delay": 100,
            // Debug panel (ping/lag/fps)
            "debugPanel": {
                // Pár beállítás használatához el kell távolítanod a "//"  jelet az "$interval" elől! Teljesítmény csökkenést okozhat!!!
                // "$interval": 0,
                "_alpha": 100,
                "_x": "debugPanel._x",
                "_y": "debugPanel._y"
            }
        },
        // Battle score
        {
            "$delay": 100,
            // Battle score
            "fragCorrelationBar": {
                // Pár beállítás használatához el kell távolítanod a "//"  jelet az "$interval" elől! Teljesítmény csökkenést okozhat!!!
                // "$interval": 0,
                "_alpha": 100,
                "_x": "fragCorrelationBar._x",
                "_y": "fragCorrelationBar._y"
            }
        },
        // Capture bar
        {
            "$delay": 100,
            // Capture bar
            "teamBasesPanel": {
                "_alpha": 100,
                "_x": "teamBasesPanel._x + 0",
                "_y": "teamBasesPanel._y + 0"
            }
        },
        // Chat
        {
            "$delay": 100,
            // Chat
            "messenger": {
                "_alpha": 100,
                "_x": "messenger._x + 0",
                "_y": "messenger._y + 0"
            }
        },
        // Kill-log
        {
            "$delay": 100,
            // Kill-log
            "playerMessangersPanel": {
                "_alpha": 100
            }
        },
        // Ammo bar
        {
            "$delay": 100,
            // Ammo bar
            "consumablesPanel": {
                "_alpha": 100,
                "_x": "consumablesPanel._x + 0",
                "_y": "consumablesPanel._y - 0"
            }
        }
    ]
}