﻿/**
 * Körök a minimapra. Méterekben kell írni! Csak saját járműre vonatkozik (az artynál????? -Thothem) 
 */
{
    "circles": {
        "enabled": true,
        // XVM-es fiúk sem csináltak még rendes leírásokat ide... -Thothem
        // Látótáv
        //   "enabled": Engedélyezve/tiltva
        //   "distance" - Távolság (méterben)
        //   "scale" - Nagyítás
        //   "thickness" - vonalvastagság
        //   "alpha" - Áttetszőség
        //   "color" - Szín
        //   "state" - Állapot, a tank: 1 - áll, 2 - mozog (nem kötelező paraméter)
        // Lehetséges távolság paraméterek:
        //   N - egy szám, állandó kört rajzol köréd
        //   "dynamic"   - Látótáv álló/mozgó helyzetben (dinamikus lehet ????)
        //   "motion"    - Mozgás közbeni látótáv
        //   "standing"  - Állás közbeni látótáv
        //   "blindarea" - Valódi látótáv (50<=X<=445)
        //   "blindarea_motion" - Valós látótáv mozgás közben (50<=X<=445)
        //   "blindarea_standing" - Valós látótáv álló helyben (50<=X<=445)
        //   Az utolsó három a legénység és a gép állapota alapján a valós lehet (????) -Thothem        
        //   http://www.koreanrandom.com/forum/topic/15467-/page-5#entry187139
        //   http://www.koreanrandom.com/forum/topic/15467-/page-4#entry186794
        "view": [
            // Alap körök.
            { "enabled":  true, "distance": "blindarea", "scale": 1, "thickness": 0.75, "alpha": 80, "color": "0x3EB5F1" },
            { "enabled":  true, "distance": 445,         "scale": 1, "thickness":  1.1, "alpha": 45, "color": "0xFFCC66" },
            // Opcionális körök.
            { "enabled": false, "distance": 50,          "scale": 1, "thickness": 0.75, "alpha": 60, "color": "0xFFFFFF" },
            { "enabled": false, "distance": "standing",  "scale": 1, "thickness":  1.0, "alpha": 60, "color": "0xFF0000" },
            { "enabled": false, "distance": "motion",    "scale": 1, "thickness":  1.0, "alpha": 60, "color": "0x0000FF" },
            { "enabled": false, "distance": "dynamic",   "scale": 1, "thickness":  1.0, "alpha": 60, "color": "0x3EB5F1" }
        ],
        // Az önjáró löveg maximális hatótávja
        // A távolság lehet eltérő a jelzéstől, annak függvényében, hogy a talajhoz képest milyen szöget zár be a löveg teste,
        // valamint a magasság a célponthoz képest. Ezeket az értékeket a mod nem veszi feigyelembe.
        // Magyarázó képek: http://goo.gl/ZqlPa
        "artillery": { "enabled": true, "alpha": 55, "color": "0xFF6666", "thickness": 0.5 },
        // Géppuska maximális lőtávja (???)
        "shell":     { "enabled": true, "alpha": 55, "color": "0xFF6666", "thickness": 0.5 },
        // Speciális jármű függő körök:
        // Több adatsor egy járműhöz, többb kört fog eredményezni a minimapon
        // További járműtípusok:
        // http://code.google.com/p/wot-xvm/source/browse/trunk/src/xpm/xvmstat/vehinfo_short.py
        // germany:Grille helyett germany-Grille a listában található névnben a kettöspontot cseréld ki kötöjelre !!!           
        "special": [
          // Példaként egy lőtáv:
          // "enabled": Engedélyezve/tiltva; "thickness" - Vonalvastagság; "alpha" - Áttetszőség; "color" - Szín; "distance" - Távolság (méterben).
          //{ "ussr-SU-18": { "enabled": true, "thickness": 1, "alpha": 60, "color": "0xEE4444", "distance": 500 } },
        ]
    }
}